import { Dispatch, SetStateAction, createContext } from "react";
import { Node, } from "@xyflow/react";

export interface Iface {
  push(id: string, data: any): void,
};

export const History = createContext<Iface|undefined>(undefined);
export default History;

export class Impl implements Iface {
  setNodes: Dispatch<SetStateAction<Node[]>>;

  constructor(setNodes: Dispatch<SetStateAction<Node[]>>) {
    this.setNodes = setNodes;
  }
  push(id: string, data: any): void {
    this.setNodes(
      (nds)=>nds.map((n)=>n.id == id? {...n, data: data}: n)
    );
  }
};
